#!/bin/sh -e
SRC="$HOME"
DEST="$(pwd)"
[ "$(printf "Abort.\nContinue.\n" | dmenu -p "Copying from '$SRC' to '$DEST'. Continue?")" = "Continue." ] || exit
set -x

for dir in $(cat manifest_dir); do
	if ! [ -d "$SRC/$dir" ]; then
		printf "Directory missing from SRC: %b\n" "$dir"
		false
	else
		mkdir -p "$DEST/$dir"
	fi
done

for file in $(cat manifest_file); do
	if ! [ -e "$SRC/$file" ]; then
		printf "File missing from SRC: %b\n" "$file"
		false
	else
		cp "$SRC/$file" "$DEST/$file"
	fi
done
